Bug 212895 - www/phpbb3: add minimal necessary dependency
Summary: www/phpbb3: add minimal necessary dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-22 08:49 UTC by Oleg Ginzburg
Modified: 2016-09-30 07:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments
www/phpbb3: add mandatory dependencies (276 bytes, text/plain)
2016-09-22 08:49 UTC, Oleg Ginzburg
no flags Details
patch (416 bytes, patch)
2016-09-27 04:40 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2016-09-22 08:49:52 UTC
Created attachment 175048 [details]
www/phpbb3: add mandatory dependencies

Clean installation of www/phpbb3 unusable:

PHP Fatal error:  Call to undefined function Symfony\Component\Config\ctype_alpha() in /usr/local/www/phpBB3/vendor/symfony/config/Symfony/Component/Config/FileLocator.php on line 85
PHP Fatal error:  Call to undefined function json_encode() in /usr/local/www/phpBB3/vendor/twig/twig/lib/Twig/Environment.php on line 313
PHP Fatal error:  Call to undefined function json_encode() in /usr/local/www/phpBB3/vendor/twig/twig/lib/Twig/Environment.php on line 313


since there are no mandatory PHP modules:

textproc/php56-ctype
devel/php56-json
security/php56-hash

And other optional (see https://www.phpbb.com/community/docs/INSTALL.html#require)
Comment 1 Jochen Neumeister freebsd_committer 2016-09-22 15:10:05 UTC
(In reply to olevole from comment #0)

Thanks for your report. I'll check
Comment 2 Jochen Neumeister freebsd_committer 2016-09-27 04:40:58 UTC
Created attachment 175190 [details]
patch
Comment 3 commit-hook freebsd_committer 2016-09-30 07:20:33 UTC
A commit references this bug:

Author: wen
Date: Fri Sep 30 07:20:24 UTC 2016
New revision: 422962
URL: https://svnweb.freebsd.org/changeset/ports/422962

Log:
  - Add missing DEPENDS

  PR:		212895
  Submitted by:	olevole@olevole.ru
  Approved by:	maintainer

Changes:
  head/www/phpbb3/Makefile